## Apache Zeta Components Manual :: Docs For Class ezcSearchDefinitionDocumentField

### Search::ezcSearchDefinitionDocumentField

### Class ezcSearchDefinitionDocumentField

The struct contains a field definition.

Source for this file: /Search/src/structs/document_field_definition.php

Version: | //autogentag//

### Member Variables

public float | `$boost` How much priority to give to a specific field.
public string | `$field` The field name
public bool | `$highlight` Whether this field should be used for highlighting
public bool | `$inResult` Whether the field should be part of the result set
public bool | `$multi` Whether there can be multiple values for this field
public int | `$type` The type, see ezcSearchDocumentDefinition for the allowed types.

### Method Summary

public static ezcSearchDefinitionDocumentField | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcSearchDefinitionDocumentField | `__construct( $field , [ $type = ezcSearchDocumentDefinition::TEXT] , [ $boost = 1.0] , [ $inResult = true] , [ $multi = false] , [ $highlight = false] )` Contructs a new ezcSearchDefinitionDocumentField.

### Methods

#### __set_state

static ezcSearchDefinitionDocumentField __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcSearchDefinitionDocumentField __construct( string $field , [int $type = ezcSearchDocumentDefinition::TEXT] , [float $boost = 1.0] , [bool $inResult = true] , [bool $multi = false] , [bool $highlight = false] )

Contructs a new ezcSearchDefinitionDocumentField.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$field` | string |
`$type` | int |
`$boost` | float |
`$inResult` | bool |
`$multi` | bool |
`$highlight` | bool |

Documentation generated by phpDocumentor 1.4.3